## org.apache.myfaces.taglib.core
Class ConvertDateTimeTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.faces.webapp.ConverterTag
              org.apache.myfaces.taglib.core.ConvertDateTimeTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class ConvertDateTimeTag
extends javax.faces.webapp.ConverterTag

Version:
  $Revision: 265610 $ $Date: 2005-08-31 21:03:08 -0400 (Wed, 31 Aug 2005) $
Author:
  Manfred Geiler (latest modification by $Author: oros $)
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ConvertDateTimeTag()`

Method Summary
`protected javax.faces.convert.Converter` `createConverter()`
`protected static void` `setConverterLocale(javax.faces.context.FacesContext facesContext, javax.faces.convert.DateTimeConverter converter, java.lang.String value)`
`void` `setDateStyle(java.lang.String dateStyle)`
`void` `setLocale(java.lang.String locale)`
`void` `setPageContext(javax.servlet.jsp.PageContext context)`
`void` `setPattern(java.lang.String pattern)`
`void` `setTimeStyle(java.lang.String timeStyle)`
`void` `setTimeZone(java.lang.String timeZone)`
`void` `setType(java.lang.String type)`

Methods inherited from class javax.faces.webapp.ConverterTag
`doStartTag, release, setConverterId`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvertDateTimeTag

    public ConvertDateTimeTag()

Method Detail

### setDateStyle

    public void setDateStyle(java.lang.String dateStyle)

### setLocale

    public void setLocale(java.lang.String locale)

### setPattern

    public void setPattern(java.lang.String pattern)

### setTimeStyle

    public void setTimeStyle(java.lang.String timeStyle)

### setTimeZone

    public void setTimeZone(java.lang.String timeZone)

### setType

    public void setType(java.lang.String type)

### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext context)

### createConverter

    protected javax.faces.convert.Converter createConverter()
                                                     throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### setConverterLocale

    protected static void setConverterLocale(javax.faces.context.FacesContext facesContext,
                                             javax.faces.convert.DateTimeConverter converter,
                                             java.lang.String value)